"use strict";
var common_vendor = require("../../../../common/vendor.js");
var uni_modules_wotDesignUni_components_common_util = require("../common/util.js");
var uni_modules_wotDesignUni_components_wdStatusTip_types = require("./types.js");
require("../common/AbortablePromise.js");
require("../common/props.js");
if (!Math) {
  wdImg();
}
const wdImg = () => "../wd-img/wd-img.js";
const __default__ = {
  name: "wd-status-tip",
  options: {
    addGlobalClass: true,
    virtualHost: true,
    styleIsolation: "shared"
  }
};
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  ...__default__,
  props: uni_modules_wotDesignUni_components_wdStatusTip_types.statusTipProps,
  setup(__props) {
    const props = __props;
    const imgUrl = common_vendor.computed$1(() => {
      let img = "";
      if (["search", "network", "content", "collect", "comment", "halo", "message"].includes(props.image)) {
        img = `${props.urlPrefix}${props.image}.png`;
      } else {
        img = props.image;
      }
      return img;
    });
    const imgStyle = common_vendor.computed$1(() => {
      let style = {};
      if (props.imageSize) {
        if (uni_modules_wotDesignUni_components_common_util.isObj(props.imageSize)) {
          uni_modules_wotDesignUni_components_common_util.isDef(props.imageSize.height) && (style.height = uni_modules_wotDesignUni_components_common_util.addUnit(props.imageSize.height));
          uni_modules_wotDesignUni_components_common_util.isDef(props.imageSize.width) && (style.width = uni_modules_wotDesignUni_components_common_util.addUnit(props.imageSize.width));
        } else {
          style = {
            height: uni_modules_wotDesignUni_components_common_util.addUnit(props.imageSize),
            width: uni_modules_wotDesignUni_components_common_util.addUnit(props.imageSize)
          };
        }
      }
      return `${uni_modules_wotDesignUni_components_common_util.objToStyle(style)}`;
    });
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: _ctx.$slots.image
      }, _ctx.$slots.image ? {} : common_vendor.unref(imgUrl) ? {
        c: common_vendor.p({
          mode: _ctx.imageMode,
          src: common_vendor.unref(imgUrl),
          ["custom-class"]: "wd-status-tip__image",
          ["custom-style"]: common_vendor.unref(imgStyle)
        })
      } : {}, {
        b: common_vendor.unref(imgUrl),
        d: _ctx.tip
      }, _ctx.tip ? {
        e: common_vendor.t(_ctx.tip)
      } : {}, {
        f: common_vendor.n(`wd-status-tip  ${_ctx.customClass}`),
        g: common_vendor.s(_ctx.customStyle)
      });
    };
  }
});
var Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-8582d2d6"], ["__file", "D:/\u7F51\u6291\u4E91Time/\u79C1\u6D3B/2000\u7B97\u5366/src/uni_modules/wot-design-uni/components/wd-status-tip/wd-status-tip.vue"]]);
wx.createComponent(Component);
